Bug 1720158 - The check-latest-minor-version validation fails on RHEL 8 due to a package name issue
Summary: The check-latest-minor-version validation fails on RHEL 8 due to a package na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Gaël Chamoulaud
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 09:42 UTC by Gaël Chamoulaud
Modified: 2019-09-26 10:52 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-validations-10.4.1-0.20190701170405.10b4d77.el8ost.noarch
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:23:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 665097 0 None MERGED Add pkg names better management between OS releases 2021-02-02 14:45:21 UTC
OpenStack gerrit 665540 0 None MERGED Add pkg names better management between OS releases 2021-02-02 14:44:36 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:23:31 UTC

Description Gaël Chamoulaud 2019-06-13 09:42:10 UTC
The check-latest-minor-version validation checks if the latest minor version of tripleoclient is installed on the Undercloud. This validation checks the python-tripleoclient package but on RHEL8, it is called python3-tripleoclient. On RHEL/CentOS 7 the package is called python2-tripleoclient.

```
(undercloud) [stack@undercloud ~]$ run-validations.sh --validation-name check-latest-minor-version
Task 'check-latest-minor-version : Get available updates for packages' failed:
Host: undercloud
Message: Error: No matching Packages to list


Failure! The validation failed for all hosts:
* undercloud
```

```
TASK [check-latest-minor-version : Get available updates for packages] ***********************************************************************************************************************************************************************************************************
task path: /usr/share/openstack-tripleo-validations/roles/check-latest-minor-version/tasks/main.yml:2
<localhost> ESTABLISH LOCAL CONNECTION FOR USER: stack
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /tmp/ansible-${USER}/ansible-tmp-1560418496.0-123944550141169 `" && echo ansible-tmp-1560418496.0-123944550141169="` echo /tmp/ansible-${USER}/ansible-tmp-1560418496.0-123944550141169 `" ) && sleep 0'
Using module file /usr/share/openstack-tripleo-validations/library/check_package_update.py
<localhost> PUT /home/stack/.ansible/tmp/ansible-local-776958pBEZlZ/tmpReU3O0 TO /tmp/ansible-stack/ansible-tmp-1560418496.0-123944550141169/AnsiballZ_check_package_update.py
<localhost> EXEC /bin/sh -c 'chmod u+x /tmp/ansible-stack/ansible-tmp-1560418496.0-123944550141169/ /tmp/ansible-stack/ansible-tmp-1560418496.0-123944550141169/AnsiballZ_check_package_update.py && sleep 0'
<localhost> EXEC /bin/sh -c '/usr/bin/python2 /tmp/ansible-stack/ansible-tmp-1560418496.0-123944550141169/AnsiballZ_check_package_update.py && sleep 0'
failed: [undercloud] (item=python-tripleoclient) => {
    "ansible_loop_var": "item", 
    "changed": false, 
    "invocation": {
        "module_args": {
            "package": "python-tripleoclient", 
            "pkg_mgr": "yum"
        }
    }, 
    "item": "python-tripleoclient", 
    "msg": "Error: No matching Packages to list\n"
}
```

Comment 5 Gaël Chamoulaud 2019-07-10 09:27:52 UTC
(undercloud) [stack@undercloud-0 ~]$ /usr/bin/run-validations.sh --validation-name check-latest-minor-version

Success! The validation passed for all hosts:
* undercloud

Comment 9 errata-xmlrpc 2019-09-21 11:23:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.